Create a CMS Page
Creates a CMS Page
POST
/
api
/
v2
/
platform
/
cms_pages
Create a CMS Page
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cms_page: {
title: 'About Us',
type: 'Spree::Cms::Pages::StandardPage',
locale: 'en-US',
meta_title: 'Learn More About Super-Shop',
content: 'Lot\'s of text..',
meta_description: 'Learn more about us on this page here...',
slug: 'about-us'
}
})
};
fetch('http://{defaultHost}/api/v2/platform/cms_pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/cms_pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"cms_page": {
"title": "About Us",
"type": "Spree::Cms::Pages::StandardPage",
"locale": "en-US",
"meta_title": "Learn More About Super-Shop",
"content": "Lot's of text..",
"meta_description": "Learn more about us on this page here...",
"slug": "about-us"
}
}
EOF{
"data": {
"id": "5",
"type": "cms_page",
"attributes": {
"title": "Eligendi recusandae hic magnam at voluptates delectus quis.",
"meta_title": null,
"content": null,
"meta_description": null,
"visible": true,
"slug": "eligendi-recusandae-hic-magnam-at-voluptates-delectus-quis",
"type": "Spree::Cms::Pages::StandardPage",
"locale": "en",
"deleted_at": null,
"created_at": "2022-11-08T19:34:01.378Z",
"updated_at": "2022-11-08T19:34:01.378Z"
},
"relationships": {
"cms_sections": {
"data": []
}
}
}
}{
"error": "Title can't be blank, Locale can't be blank, and Type can't be blank",
"errors": {
"title": [
"can't be blank"
],
"locale": [
"can't be blank"
],
"type": [
"can't be blank"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Body
application/json
- Create a Standard Page
- Create a Homepage
- Create a Feature Page
Show child attributes
Show child attributes
Response
Record created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create a CMS Page
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cms_page: {
title: 'About Us',
type: 'Spree::Cms::Pages::StandardPage',
locale: 'en-US',
meta_title: 'Learn More About Super-Shop',
content: 'Lot\'s of text..',
meta_description: 'Learn more about us on this page here...',
slug: 'about-us'
}
})
};
fetch('http://{defaultHost}/api/v2/platform/cms_pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/cms_pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"cms_page": {
"title": "About Us",
"type": "Spree::Cms::Pages::StandardPage",
"locale": "en-US",
"meta_title": "Learn More About Super-Shop",
"content": "Lot's of text..",
"meta_description": "Learn more about us on this page here...",
"slug": "about-us"
}
}
EOF{
"data": {
"id": "5",
"type": "cms_page",
"attributes": {
"title": "Eligendi recusandae hic magnam at voluptates delectus quis.",
"meta_title": null,
"content": null,
"meta_description": null,
"visible": true,
"slug": "eligendi-recusandae-hic-magnam-at-voluptates-delectus-quis",
"type": "Spree::Cms::Pages::StandardPage",
"locale": "en",
"deleted_at": null,
"created_at": "2022-11-08T19:34:01.378Z",
"updated_at": "2022-11-08T19:34:01.378Z"
},
"relationships": {
"cms_sections": {
"data": []
}
}
}
}{
"error": "Title can't be blank, Locale can't be blank, and Type can't be blank",
"errors": {
"title": [
"can't be blank"
],
"locale": [
"can't be blank"
],
"type": [
"can't be blank"
]
}
}
